Name:           glade
Version:        3.36.0
Release:        1
Summary:        User Interface Designer for GTK+
License:        GPLv2+ and LGPLv2+
URL:            https://glade.gnome.org/
Source0:        https://ftp.gnome.org/pub/GNOME/sources/glade/3.36/glade-%{version}.tar.xz

BuildRequires:  chrpath desktop-file-utils docbook-style-xsl gettext gtk3-devel intltool
BuildRequires:  itstool libxml2-devel pygobject3-devel python3-devel webkit2gtk3-devel glade
BuildRequires:  libappstream-glib libxslt

Requires:       %{name}-libs = %{version}-%{release}

Obsoletes:      glade3 < 1:3.11.0-3

%description
Glade is a RAD tool to enable quick and easy development of user interfaces for
the GTK+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are saved as XML, which can be used in
numerous programming languages including C, C++, C#, Vala, Java, Perl, Python,
and others.

%package        libs
Summary:        Widget library for Glade UI designer
Obsoletes:      glade3-libgladeui < 1:3.11.0-3

%description    libs
Widget library for Glade UI designer

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release}
Obsoletes:      glade3-libgladeui-devel < 1:3.11.0-3

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use Glade widget library.

%package_help

%prep
%autosetup -n %{name}-%{version}

%build
export PYTHON=%{__python3}
%configure --disable-static

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build


%install
%make_install
%delete_la

chrpath --delete %{buildroot}%{_bindir}/glade*
chrpath --delete %{buildroot}%{_libdir}/glade/modules/*.so

%find_lang glade --with-gnome

cp -a %{_libdir}/libgladeui-2.so.* %{buildroot}%{_libdir}

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Glade.desktop

%files
%defattr(-,root,root)
%license COPYING*
%{_bindir}/glade
%{_bindir}/glade-previewer
%{_datadir}/locale/*
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/help/*
%{_datadir}/icons/*
%{_datadir}/metainfo/org.gnome.Glade.appdata.xml

%files libs
%defattr(-,root,root)
%{_libdir}/libgladeui-2.so.*
%dir %{_libdir}/glade/modules/
%{_libdir}/glade/modules/*.so
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gladeui-2.0.typelib
%{_datadir}/glade/

%files devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/
%{_includedir}/libgladeui-2.0/
%{_libdir}/libgladeui-2.so
%{_libdir}/pkgconfig/gladeui-2.0.pc
%{_datadir}/gir-1.0/Gladeui-2.0.gir

%files help
%doc AUTHORS NEWS
%{_mandir}/man1/*

%changelog
* Wed Aug 26 2020 hanhui <hanhui15@huawei.com> - 3.36.0-1
- update to 3.36.0

* Tue Aug 18 2020 chenyaqiang <chenyaqiang@huawei.com> - 3.22.1-6
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:rebuild for package build

* Fri Nov 8 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.22.1-5
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add libs package

* Sat Oct 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.22.1-4
- Package init

